Bug 815684 - Support multiline input for ovirt-engine-cli
Support multiline input for ovirt-engine-cli
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: 3.1
Assigned To: Michael Pasternak
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 05:13 EDT by Mark Wu
Modified: 2014-01-12 19:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 03:57:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Wu 2012-04-24 05:13:21 EDT
Description of problem:
Currently, the parser does support multiline quoted strings but the way we use readline to handle input does't: we read line by line and then parse each line separately. We need improve input handling to Support multiline input for ovirt-engine-cli
Comment 1 Michael Pasternak 2012-05-16 06:25:42 EDT
2.1.7-1
Comment 2 Itamar Heim 2012-08-09 03:57:27 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.